Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.molbio
Class RestrictionSite.Template

    java.lang.Object
      org.biojava.bio.seq.Feature.Template
          org.biojava.bio.seq.StrandedFeature.Template
              org.biojava.bio.molbio.RestrictionSite.Template

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing interface:
  RestrictionSite

    public static class RestrictionSite.Template

extends StrandedFeature.Template

`Template` for construction of `RestrictionSite`s.

See Also:
  Serialized Form

Field Summary
`RestrictionEnzyme` | `enzyme` `enzyme` `RestrictionEnzyme` field.

Fields inherited from class org.biojava.bio.seq.StrandedFeature.Template
`strand`

Fields inherited from class org.biojava.bio.seq.Feature.Template
`annotation, location, source, sourceTerm, type, typeTerm`

Constructor Summary
`RestrictionSite.Template()`

Method Summary

Methods inherited from class org.biojava.bio.seq.Feature.Template
`clone, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### enzyme

    public RestrictionEnzyme enzyme

  `enzyme` `RestrictionEnzyme` field.

Constructor Detail

### RestrictionSite.Template

    public RestrictionSite.Template()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD